%define anolis_release 12
Summary:	High-level API for X Keyboard Extension
Name:		libxklavier
Version:	5.4
Release: 	%{anolis_release}%{?dist}
License:	LGPLv2+
URL: http://www.freedesktop.org/wiki/Software/LibXklavier
Source: http://people.freedesktop.org/~svu/%{name}-%{version}.tar.bz2
BuildRequires: pkgconfig(glib-2.0) >= 2.16.0
BuildRequires: pkgconfig(gobject-2.0) >= 2.16.0
BuildRequires: pkgconfig(iso-codes)
BuildRequires: pkgconfig(libxml-2.0) >= 2.0.0
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xkbfile)
BuildRequires: pkgconfig(xi) >= 1.1.3
BuildRequires: pkgconfig(xorg-server)
BuildRequires: gobject-introspection-devel
BuildRequires: gtk-doc
BuildRequires: make
Requires: iso-codes

%description
libxklavier is a library providing a high-level API for the X Keyboard
Extension (XKB). This library is intended to support XFree86 and other
commercial X servers. It is useful for creating XKB-related software
(layout indicators etc).

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Development files for libxklavier
Requires: %{name} = %{version}-%{release}

%description devel
This package contains libraries, header files and developer documentation
needed to develop libxklavier applications.

%prep
%setup -q

%build
%configure \
  --disable-static \
  --with-xkb-base='%{_datadir}/X11/xkb' \
  --with-xkb-bin-base='%{_bindir}'

%make_build


%install
%make_install

%files
%license COPYING.LIB
%{_libdir}/libxklavier.so.16*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Xkl-1.0.typelib

%files doc
%doc AUTHORS NEWS README

%files devel
%{_libdir}/pkgconfig/libxklavier.pc
%{_libdir}/libxklavier.so
%{_includedir}/libxklavier/
%{_datadir}/gtk-doc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Xkl-1.0.gir

%changelog
* Thu Dec 22 2022 Funda Wang <fundawang@yeah.net> - 5.4-12
- Bump release for upgrading from anolis 8 

* Sat Oct 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 5.4-2
- add doc package

* Thu Apr 07  2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 5.4-1
- Init from upstream version 5.4

